Index: uspace/srv/volsrv/volsrv.c
===================================================================
--- uspace/srv/volsrv/volsrv.c	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
+++ uspace/srv/volsrv/volsrv.c	(revision 81b1db8cec0aa9dbafab33ef24b55b230180a3a7)
@@ -85,14 +85,14 @@
 }
 
-static void vol_get_parts_srv(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+static void vol_get_parts_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	size_t act_size;
 	errno_t rc;
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -100,6 +100,6 @@
 	service_id_t *id_buf = (service_id_t *) malloc(size);
 	if (id_buf == NULL) {
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -107,16 +107,16 @@
 	rc = vol_part_get_ids(id_buf, size, &act_size);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	errno_t retval = async_data_read_finalize(callid, id_buf, size);
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	errno_t retval = async_data_read_finalize(chandle, id_buf, size);
 	free(id_buf);
 
-	async_answer_1(iid, retval, act_size);
-}
-
-static void vol_part_add_srv(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_1(icall_handle, retval, act_size);
+}
+
+static void vol_part_add_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	service_id_t sid;
@@ -127,12 +127,12 @@
 	rc = vol_part_add(sid);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_0(iid, EOK);
-}
-
-static void vol_part_info_srv(cap_call_handle_t iid, ipc_call_t *icall)
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_0(icall_handle, EOK);
+}
+
+static void vol_part_info_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	service_id_t sid;
@@ -146,5 +146,5 @@
 	rc = vol_part_find_by_id(sid, &part);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -152,34 +152,34 @@
 	rc = vol_part_get_info(part, &pinfo);
 	if (rc != EOK) {
-		async_answer_0(iid, EIO);
-		return;
-	}
-
-	cap_call_handle_t callid;
+		async_answer_0(icall_handle, EIO);
+		return;
+	}
+
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(vol_part_info_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &pinfo,
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &pinfo,
 	    min(size, sizeof(pinfo)));
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_0(iid, EOK);
-}
-
-static void vol_part_empty_srv(cap_call_handle_t iid, ipc_call_t *icall)
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_0(icall_handle, EOK);
+}
+
+static void vol_part_empty_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	service_id_t sid;
@@ -192,5 +192,5 @@
 	rc = vol_part_find_by_id(sid, &part);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -198,12 +198,12 @@
 	rc = vol_part_empty_part(part);
 	if (rc != EOK) {
-		async_answer_0(iid, EIO);
-		return;
-	}
-
-	async_answer_0(iid, EOK);
-}
-
-static void vol_part_get_lsupp_srv(cap_call_handle_t iid, ipc_call_t *icall)
+		async_answer_0(icall_handle, EIO);
+		return;
+	}
+
+	async_answer_0(icall_handle, EOK);
+}
+
+static void vol_part_get_lsupp_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	vol_fstype_t fstype;
@@ -217,31 +217,31 @@
 	volsrv_part_get_lsupp(fstype, &vlsupp);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(vol_label_supp_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &vlsupp,
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &vlsupp,
 	    min(size, sizeof(vlsupp)));
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_0(iid, EOK);
-}
-
-
-static void vol_part_mkfs_srv(cap_call_handle_t iid, ipc_call_t *icall)
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_0(icall_handle, EOK);
+}
+
+
+static void vol_part_mkfs_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	service_id_t sid;
@@ -257,5 +257,5 @@
 	    0, NULL);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -267,5 +267,5 @@
 	if (rc != EOK) {
 		free(label);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -274,27 +274,27 @@
 	if (rc != EOK) {
 		free(label);
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
 
 	free(label);
-	async_answer_0(iid, EOK);
-}
-
-static void vol_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+	async_answer_0(icall_handle, EOK);
+}
+
+static void vol_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "vol_client_conn()");
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
 		if (!method) {
 			/* The other side has hung up */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -302,23 +302,23 @@
 		switch (method) {
 		case VOL_GET_PARTS:
-			vol_get_parts_srv(callid, &call);
+			vol_get_parts_srv(chandle, &call);
 			break;
 		case VOL_PART_ADD:
-			vol_part_add_srv(callid, &call);
+			vol_part_add_srv(chandle, &call);
 			break;
 		case VOL_PART_INFO:
-			vol_part_info_srv(callid, &call);
+			vol_part_info_srv(chandle, &call);
 			break;
 		case VOL_PART_EMPTY:
-			vol_part_empty_srv(callid, &call);
+			vol_part_empty_srv(chandle, &call);
 			break;
 		case VOL_PART_LSUPP:
-			vol_part_get_lsupp_srv(callid, &call);
+			vol_part_get_lsupp_srv(chandle, &call);
 			break;
 		case VOL_PART_MKFS:
-			vol_part_mkfs_srv(callid, &call);
+			vol_part_mkfs_srv(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
